org.apache.ignite.internal.pagemem.wal

## Interface WALIterator

All Superinterfaces:
  AutoCloseable, GridCloseableIterator<IgniteBiTuple<WALPointer,WALRecord>>, GridIterator<IgniteBiTuple<WALPointer,WALRecord>>, GridSerializableIterator<IgniteBiTuple<WALPointer,WALRecord>>, IgniteSpiCloseableIterator<IgniteBiTuple<WALPointer,WALRecord>>, Iterable<IgniteBiTuple<WALPointer,WALRecord>>, Iterator<IgniteBiTuple<WALPointer,WALRecord>>, Serializable

    public interface WALIterator
    extends GridCloseableIterator<IgniteBiTuple<WALPointer,WALRecord>>

### Method Summary

### Methods inherited from interface org.apache.ignite.internal.util.lang.GridCloseableIterator

`close, isClosed`

### Methods inherited from interface org.apache.ignite.internal.util.lang.GridIterator

`hasNextX, nextX, removeX`

### Methods inherited from interface java.lang.Iterable

`iterator`

### Methods inherited from interface java.util.Iterator

`hasNext, next, remove`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017